##!perl -w
#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2005-2014 All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################
#This file is not anymore used since 8.0.1 but delivered for compatibility.
################################################################################

# useful for stdout/stderr direct viewing inside 'console' of studio window
# (better: we have stdout/stderr lines in right order and not stderr before stdout
use FileHandle ;
STDOUT->autoflush(1);
STDERR->autoflush(1);

$main::SCRIPTDIR="$ENV{'TESTRTDIR'}/lib/scripts/";
my $tmpdir=$ENV{'TEMP'};
unless($tmpdir){
	$tmpdir=$ENV{'TMP'};
	unless($tmpdir){
		$tmpdir=$ENV{'HOME'};
	}
}
my $envnode="$tmpdir/envTestRTcc.pl";
if(-f $envnode) {
	require $envnode;
} else {
	print "Settings not found. Save TestRT settings. Launching executable.\n";
	exit(1);
}

print "run with TDP $TARGETDIR\n";
die "Environment variable TESTRTDIR not found. Exiting.\n" if(!defined($ENV{'TESTRTDIR'})); # NO TRANSLATION

require $SCRIPTDIR . "Fcts.pl";

# clean traces if required
if($RESET_RESULTS){
unlink($ATP_TPF_NAME);
unlink($ATQ_TQF_NAME);
unlink($ATC_TIO_NAME);
unlink($ATT_TDF_NAME);
unlink($TDFFILE);

}
#$DEBUG_LOG=1;
if($DEBUG_LOG) {
############################" trace ######################
# No Bufferisation
$|=1;

open(OLDOUT,">&STDOUT");
open(OLDERR,">&STDERR");
open(STDOUT,">$tmpdir/TestRT_prebuild.log");
open(STDERR,">&STDOUT");
}
  print "cleaning directory $OUTDIR\n";

$ATKMODE=1 if(@OTIFILES);
my $tsf;
$tsf=( $ATTMODE || $ATPMODE || $ATQMODE || ($ATAMODE && $ATZMODE) || $ATGMODE || $ATKMODE );

 opendir(DIR,"$OUTDIR") || die &PerlTranslate("TestRT_prebuild.pl", "Error: unable to open directory %1.\n","%1 directory name",$OUTDIR);
    while($f=readdir(DIR)) {
	next if($f =~ /^\./);
     	if($f =~ /\.(i|c|cc|cpp|cxx|h|hpp)$/i){
 		if($KEEP) { rename ("$OUTDIR/$f","$OUTDIR/$f.bak")}
 		else {unlink("$OUTDIR/$f");}
 	}
 	#unlink("$OUTDIR/$f") if($f =~ /\.bak$/i);
   }
 closedir(DIR);

if($DEBUG_LOG){
close(STDOUT);open(STDOUT,">&OLDOUT");
close(STDERR);open(STDERR,">&OLDERR");

close(OLDOUT);
close(OLDERR);
}
exit(0);
1;
